Factunexo Docs
API RESTReferenciaWorkflowClientes

Crear cliente

POST
/api/v1/workflow/customers

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/workflow/customers" \  -H "Content-Type: application/json" \  -d '{    "taxpayer": {      "taxpayerName": "string",      "identificationType": "RUC",      "identification": "string",      "specialTaxpayer": "ZERO",      "mandatoryAccountingType": "NO",      "withholdingAgent": "NO"    },    "contacts": [      {}    ]  }'
{  "requestId": "string",  "timestamp": "string",  "data": {    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "taxpayer": {      "transactionalEntityId": "92d66c1b-b9fb-4d4a-8aad-080f91c4e4f1",      "transactionalEntityType": "CUSTOMER",      "taxpayerName": "string",      "businessName": "string",      "identificationType": "RUC",      "ruc": "string",      "document": "string",      "identification": "string",      "specialTaxpayer": "ZERO",      "mandatoryAccountingType": "NO",      "withholdingAgent": "NO",      "firstName": "string",      "middleName": "string",      "lastName": "string",      "secondLastName": "string",      "email": "string",      "address": "string",      "phoneNumber": "string",      "regimeType": "GENERAL"    },    "contacts": [      {        "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",        "firstName": "string",        "lastName": "string",        "email": "string",        "phoneNumber": "string",        "primary": true      }    ]  }}